net.sf.okapi.lib.xliff2.walker.selector

## Enum XliffWalkerPathSelector.NodeType

- java.lang.Object
- - java.lang.Enum<XliffWalkerPathSelector.NodeType>
  - - net.sf.okapi.lib.xliff2.walker.selector.XliffWalkerPathSelector.NodeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XliffWalkerPathSelector.NodeType>
  Enclosing class:
    XliffWalkerPathSelector

      public static enum XliffWalkerPathSelector.NodeType
      extends java.lang.Enum<XliffWalkerPathSelector.NodeType>

  Enumerations for XLIFF document node type
  Author:
    Vladyslav Mykhalets

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE`
    `SEGMENT`
    `UNIT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XliffWalkerPathSelector.NodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XliffWalkerPathSelector.NodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE

          public static final XliffWalkerPathSelector.NodeType FILE

    - #### UNIT

          public static final XliffWalkerPathSelector.NodeType UNIT

    - #### SEGMENT

          public static final XliffWalkerPathSelector.NodeType SEGMENT

  - ### Method Detail

    - #### values

          public static XliffWalkerPathSelector.NodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XliffWalkerPathSelector.NodeType c : XliffWalkerPathSelector.NodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XliffWalkerPathSelector.NodeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null